Cyberduck Mountain Duck CLI

#8928 closed defect (fixed)

NSInternalInconsistencyException in NSSavePanel

Reported by: seoras Owned by: dkocher
Priority: high Milestone: 4.7.2
Component: sftp Version: 4.7.1
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description (last modified by dkocher)

App Store automatically updated to Version 4.7.1 (17885) and now I can't connect to either of my bookmarked servers. Using SFTP in both cases with public key authentication to Amazon AWS instances running latest ubuntu

Application Specific Information:
*** Terminating app due to uncaught exception 'NSInternalInconsistencyException', reason: 'not running on AppKit (main) thread'
terminating with uncaught exception of type NSException
abort() called

Attachments (1)

cyberduck crash log.txt (101.5 KB) - added by seoras on Jul 14, 2015 at 10:36:43 PM.
Crash log output

Download all attachments as: .zip

Change History (7)

Changed on Jul 14, 2015 at 10:36:43 PM by seoras

Crash log output

comment:1 Changed on Jul 15, 2015 at 7:37:48 AM by dkocher

  • Component changed from core to sftp
  • Milestone set to 4.8
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from Crash on connection attempt "exception 'NSInternalInconsistencyException', reason: 'not running on AppKit (main) thread'" to NSInternalInconsistencyException in NSSavePanel

This affects login prompts with public key authentication.

comment:2 Changed on Jul 15, 2015 at 8:01:09 AM by dkocher

  • Description modified (diff)

comment:3 Changed on Jul 17, 2015 at 1:10:18 PM by dkocher

Regression from r17532.

comment:4 Changed on Jul 17, 2015 at 1:17:02 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r17969.

comment:5 Changed on Jul 17, 2015 at 1:24:26 PM by dkocher

Please update to the latest snapshot build available.

comment:6 Changed on Jul 31, 2015 at 11:49:40 AM by dkocher

  • Milestone changed from 4.8 to 4.7.2
Note: See TracTickets for help on using tickets.
swiss made software